> For the complete documentation index, see [llms.txt](https://docs.monitorss.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monitorss.xyz/bot-customizations/dates-and-timezone.md).

# Dates and Timezone

{% hint style="warning" %}
**This documentation site is deprecated. Please visit the control panel at** [**https://monitorss.xyz** ](https://monitorss.xyz)**for all up-to-date functionality**
{% endhint %}

Various date settings can be customized to tailor the `{date}` placeholder to show what you want. Date settings are server-wide, so they cannot be changed to be different for each feed. Use the `date` command to customize date settings.

## Timezone

Valid timezones are found at <https://en.wikipedia.org/wiki/List_of_tz_database_time_zones> in the "TZ database name" column .

#### Format

{% code title="Feed" %}

```javascript
{
    "timezone": "UTC"
}
```

{% endcode %}

## Date Format

Format structure information is found at <https://momentjs.com/docs/#/displaying/>.

#### Format

{% code title="Feed" %}

```javascript
{
    "datFormat": "dddd, MMMM Do YYYY, h:mm:ss a"
}
```

{% endcode %}

## Date Language

Date languages must first be specified in `config.feeds.dateLanguageList` before they are accessible via commands. This is to avoid loading in all the possible languages when most of them are not needed.

#### Format

{% code title="Feed" %}

```javascript
{
    "dateLanguage": "UTC"
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monitorss.xyz/bot-customizations/dates-and-timezone.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
